<?xml version='1.0' encoding='UTF-8'?>
<simulationConfig SchemaVersion="0.8.2">
  <ProfilesCatalog>ProfilesCatalog.xml</ProfilesCatalog>
  <Experiment>
    <ExperimentID>0</ExperimentID>
    <NumberOfInvocations>1</NumberOfInvocations>
    <RandomSeed>0</RandomSeed>
    <Libraries>
      <WorldLibrary>World_OSI</WorldLibrary>
    </Libraries>
  </Experiment>
  <Scenario>
    <OpenScenarioFile>Scenario.xosc</OpenScenarioFile>
  </Scenario>
  <Environment>
    <TimeOfDays>
      <TimeOfDay Value="15" Probability="0.4"/>
      <TimeOfDay Value="18" Probability="0.6"/>
    </TimeOfDays>
    <VisibilityDistances>
      <VisibilityDistance Value="125" Probability="0.7"/>
      <VisibilityDistance Value="250" Probability="0.3"/>
    </VisibilityDistances>
    <Frictions>
      <Friction Value="1.0" Probability="1.0"/>
    </Frictions>
    <Weathers>
      <Weather Value="Rainy" Probability="0.5"/>
      <Weather Value="Snowy" Probability="0.5"/>
    </Weathers>
    <TrafficRules>DE</TrafficRules>
  </Environment>
  <Observations>
    <Observation>
      <Library>Observation_Log</Library>
      <Parameters>
        <String Key="OutputFilename" Value="simulationOutput.xml"/>
        <Bool Key="LoggingCyclicsToCsv" Value="false"/>
        <StringVector Key="LoggingGroup_Trace" Value="XPosition,YPosition,YawAngle"/>
        <StringVector Key="LoggingGroup_RoadPosition" Value="AgentInFront,Lane,PositionRoute,Road,TCoordinate"/>
        <StringVector Key="LoggingGroup_RoadPositionExtended" Value="SecondaryLanes"/>
        <StringVector Key="LoggingGroup_Sensor" Value="Sensor*_DetectedAgents,Sensor*_VisibleAgents"/>
        <StringVector Key="LoggingGroup_Vehicle" Value="AccelerationPedalPosition,BrakePedalPosition,EngineMoment,Gear,SteeringAngle,TotalDistanceTraveled,YawRate"/>
        <StringVector Key="LoggingGroup_Visualization" Value="AccelerationEgo,BrakeLight,IndicatorState,LightStatus,VelocityEgo"/>
        <StringVector Key="LoggingGroups" Value="Trace,Visualization,RoadPosition,Sensor"/>
      </Parameters>
    </Observation>
    <Observation>
      <Library>Observation_EntityRepository</Library>
      <Parameters>
        <String Key="WritePersistentEntities" Value="Consolidated"/>
      </Parameters>
    </Observation>
  </Observations>
  <Spawners>
    <Spawner>
      <Library>SpawnerPreRunCommon</Library>
      <Type>PreRun</Type>
      <Priority>0</Priority>
      <Profile>DefaultPreRunCommon</Profile>
    </Spawner>
    <Spawner>
      <Library>SpawnerRuntimeCommon</Library>
      <Type>Runtime</Type>
      <Priority>0</Priority>
      <Profile>DefaultRuntimeCommon</Profile>
    </Spawner>
  </Spawners>
</simulationConfig>
